AlertCheckBoxDecorator (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.taglib.display.AlertCheckBoxDecorator class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.taglib.display
Class AlertCheckBoxDecorator

    java.lang.Object
      org.hyperic.hq.ui.taglib.display.Decorator
          org.hyperic.hq.ui.taglib.display.ColumnDecorator
              org.hyperic.hq.ui.taglib.display.CheckBoxDecorator
                  org.hyperic.hq.ui.taglib.display.AlertCheckBoxDecorator

All Implemented Interfaces:
  java.lang.Cloneable, javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

    public class AlertCheckBoxDecorator

extends CheckBoxDecorator

This class is a two in one decorator/tag for use within the display:table tag, it is a ColumnDecorator tag that that creates a column of checkboxes.

Field Summary

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`AlertCheckBoxDecorator()`

Method Summary
`java.lang.String` | `decorate(java.lang.Object obj)`
`java.lang.Boolean` | `getAcknowledgeable()`
`java.lang.Boolean` | `getFixable()`
`void` | `release()`
`void` | `setAcknowledgeable(java.lang.Boolean b)`
`void` | `setFixable(java.lang.Boolean b)`

Methods inherited from class org.hyperic.hq.ui.taglib.display.CheckBoxDecorator
`doEndTag, doStartTag, getElementId, getLabel, getName, getOnclick, getParent, getStyleClass, getSuppress, getValue, setElementId, setLabel, setName, setOnclick, setPageContext, setParent, setStyleClass, setSuppress, setValue`

Methods inherited from class org.hyperic.hq.ui.taglib.display.Decorator
`finish, finishRow, getList, getListIndex, getObject, getPageContext, getViewIndex, init, initRow`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AlertCheckBoxDecorator

    public AlertCheckBoxDecorator()

Method Detail

### getFixable

    public java.lang.Boolean getFixable()

### setFixable

    public void setFixable(java.lang.Boolean b)

### getAcknowledgeable

    public java.lang.Boolean getAcknowledgeable()

### setAcknowledgeable

    public void setAcknowledgeable(java.lang.Boolean b)

### decorate

    public java.lang.String decorate(java.lang.Object obj)

  Overrides:
    `decorate` in class `CheckBoxDecorator`

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `CheckBoxDecorator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.